import random
from model.memory import load_dreams
from model.trainer import train_on_message


def replay_dreams():
    dreams = load_dreams()
    if not dreams:
        return

    selected = random.sample(dreams, min(len(dreams), 5))
    for dream in selected:
        text = dream["sentence"]
        if text:
            train_on_message(text)
